/*
 * Copyright (C) 2023  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANTKEEPER_GL_HPP
#define ANTKEEPER_GL_HPP

/// Graphics library interface.
namespace gl {}

#include "gl/buffer-usage.hpp"
#include "gl/color-space.hpp"
#include "gl/drawing-mode.hpp"
#include "gl/element-array-type.hpp"
#include "gl/framebuffer.hpp"
#include "gl/pixel-format.hpp"
#include "gl/pixel-type.hpp"
#include "gl/rasterizer.hpp"
#include "gl/shader-input.hpp"
#include "gl/shader-object.hpp"
#include "gl/shader-program.hpp"
#include "gl/shader-stage.hpp"
#include "gl/shader-variable-type.hpp"
#include "gl/texture-2d.hpp"
#include "gl/texture-cube.hpp"
#include "gl/texture-filter.hpp"
#include "gl/texture-wrapping.hpp"
#include "gl/vertex-array.hpp"
#include "gl/vertex-attribute.hpp"
#include "gl/vertex-buffer.hpp"

#endif // ANTKEEPER_GL_HPP
